
typedef struct _tone_dir_elem
{
        char Name[8] ;
        char padding_byte ;
        char SubToneNumber ;
        char SubType ;
        char Rate ;
        char OrgKey ;
        char RamNumber ;
        char Position  ;
        char Size ;
} ToneDirElem ;

typedef struct _envelope_segment
{
		char level ;
		char rate  ;
} EnvelopeSegment ;

typedef struct _tone_parms
{
        char Name[8] ;
        char OutputNumber ;
        char SubToneNumber ;
        char SubType ;
        char Rate ;
        char OrgKey ;
        char RamNumber ;
        char Position  ;
        char Size ;

		char Start[3] ;
		char Stop[3] ;
		char Loop[3] ;
		char LoopMode ;              
		char Unknown[25] ; 
		char TVASustainSegment ; // 0== 1st segment
		char TVAReleaseSegment ; //    "    "         
		EnvelopeSegment TVASegments[8] ;
		char Unknown2[2] ;
		char OutputLevel ;
		char Unknown3[33] ;
		char PitchFollow ;	
		char Unknown4 ;
		char TVFSustainSegment ;
		char TVFReleaseSegment ;
		EnvelopeSegment TVFSegments[8] ;
	
} ToneParams ;
				

#define RAM_A 0
#define RAM_B 1
#define RAM_UNUSED 2

#define RATE_15K 1
#define RATE_30K 0       

#define LOOP_FORWARD 0
#define LOOP_ALTER 1
#define LOOP_ONESHOT 2
#define LOOP_REVERSE 3

#define DISK_HEADER_DATA \
0x00,0x00,0x00,0x00,0x57,0x2d,0x33,0x30, \
0x20,0x20,0x20,0x20,0x06,0x00,0x00,0x01, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0xfe, \
0x57,0x2d,0x33,0x30,0x20,0x53,0x6f,0x75, \
0x6e,0x64,0x20,0x26,0x20,0x53,0x6f,0x6e, \
0x67,0x20,0x44,0x61,0x74,0x61,0x20,0x44, \
0x69,0x73,0x6b,0x20,0x20,0x20,0x20,0xfe, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0xfe, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20, \
0x20,0x20,0x20,0x20,0x20,0x20,0x20,0xfe  \

// Prototypes

unsigned long Get12BitValue(unsigned char *) ;     
void Put12BitValue(unsigned char *,unsigned long) ;